Payments
Trigger Push Payment
Retry or trigger a USSD push notification for pending payments
Trigger or retry a USSD push notification for a pending payment. Use this when the customer missed the initial push or it timed out.
Trigger Push
POST /v1/payments/{reference}/push
Authorization: Bearer <api_key>
Content-Type: application/jsonPath Parameter
| Parameter | Type | Description |
|---|---|---|
reference | string | Payment reference or payment token (from QR) |
Request Body (Optional)
{
"phone": "+255712345678"
}| Field | Type | Required | Description |
|---|---|---|---|
phone | string | No | Phone number to send push to (defaults to original payer phone) |
Response
{
"status": 200,
"message": "USSD push sent successfully",
"data": {
"reference": "pi_a1b2c3d4e5f6",
"external_reference": "SEL123456789",
"status": "pending",
"phone": "+255712345678"
}
}Error Responses
| Status | Code | Description |
|---|---|---|
| 400 | invalid_request | Payment is not in pending status |
| 403 | forbidden | Payment doesn't belong to your account |
| 404 | not_found | Payment not found |
Examples
Retry push by reference
curl -X POST https://api.snippe.sh/v1/payments/pi_a1b2c3d4e5f6/push \
-H "Authorization: Bearer sk_live_xxx"Trigger push for QR payment using payment token
curl -X POST https://api.snippe.sh/v1/payments/63877176/push \
-H "Authorization: Bearer sk_live_xxx"Send push to different phone number
curl -X POST https://api.snippe.sh/v1/payments/pi_a1b2c3d4e5f6/push \
-H "Authorization: Bearer sk_live_xxx" \
-H "Content-Type: application/json" \
-d '{"phone": "+255787654321"}'